NX Open C++ Reference Guide
|
Represents a @link SketchOffsetBuilder SketchOffsetBuilder@endlink <br> To create a new instance of this class, use @link SketchCollection::CreateSketchOffsetBuilder SketchCollection::CreateSketchOffsetBuilder @endlink <br>
Default values. More...
Public Member Functions | |
void | BreakChain (NXOpen::NXObject *object1, NXOpen::NXObject *object2, const NXOpen::Point3d &helpPt) |
This function breaks the base chain and all the associated offsets at a given location Created in NX5.0.0. | |
NXOpen::SketchOffset::CapType | CapType () |
Returns the type of the cap needed at the corners Created in NX5.0.0. | |
bool | ConvertToReference () |
Returns the flag to indicate if the input curves needs to converted to reference Created in NX5.0.0. | |
bool | CreateDimension () |
Returns the flag to create offset with a dimension or a dimensionless offset Created in NX5.0.0. | |
NXOpen::Section * | CreateSection () |
The function creates a new empty section object and adds it to the builder. | |
int | Degree () |
Returns the degree for approximating offset spline Created in NX5.0.0. | |
NXOpen::Expression * | Distance () |
Returns the offset distance expression Created in NX5.0.0. | |
void | EvaluateOffset () |
This function will solve the offset constraint to update it based on the new data set in the builder Created in NX8.5.0. | |
std::vector< NXOpen::NXObject * > | GetOutputCurvesOfOffset () |
This function gets all output curves of an offset. | |
std::vector< NXOpen::Section * > | GetSections () |
This function gets all sections of an offset during create/edit. | |
bool | IsSymmetric () |
Returns the flag to indicate if the offset needs to be symmetric or not Created in NX5.0.0. | |
void | MergeChains (NXOpen::NXObject *object1, NXOpen::NXObject *object2, const NXOpen::Point3d &helpPt) |
This function merges the two chains. | |
int | NumberOfCopies () |
Returns the number of offset copies Created in NX5.0.0. | |
void | RemoveSection (NXOpen::Section *section) |
The function removes the given section from the builder Created in NX5.0.0. | |
void | ReverseOffsetDirectionOfChain (NXOpen::NXObject *objectInChain) |
This function reverses the offset direction of the chain containing the input geometry Created in NX5.0.0. | |
void | SetCapType (NXOpen::SketchOffset::CapType capType) |
Sets the type of the cap needed at the corners Created in NX5.0.0. | |
void | SetConvertToReference (bool reference) |
Sets the flag to indicate if the input curves needs to converted to reference Created in NX5.0.0. | |
void | SetCreateDimension (bool createDim) |
Sets the flag to create offset with a dimension or a dimensionless offset Created in NX5.0.0. | |
void | SetDegree (int degree) |
Sets the degree for approximating offset spline Created in NX5.0.0. | |
void | SetEndConstraint (NXOpen::NXObject *objectInChain, int inx, bool isStartEnd, bool constraint) |
This function removes end constraint from the given offset Created in NX5.0.0. | |
void | SetNumberOfCopies (int copies) |
Sets the number of offset copies Created in NX5.0.0. | |
void | SetSymmetric (bool symmetric) |
Sets the flag to indicate if the offset needs to be symmetric or not Created in NX5.0.0. | |
void | SetTolerance (double tolerance) |
Sets the tolerance for approximating offset spline Created in NX5.0.0. | |
double | Tolerance () |
Returns the tolerance for approximating offset spline Created in NX5.0.0. | |
void | UpdateLoopsAndCopies () |
This function will update the offset after curves are selected. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link SketchOffsetBuilder SketchOffsetBuilder@endlink <br> To create a new instance of this class, use @link SketchCollection::CreateSketchOffsetBuilder SketchCollection::CreateSketchOffsetBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CapType |
Extension |
ConvertToReference |
False |
CreateDimension |
True |
Degree |
3 |
Distance.Value |
5.0 (millimeters part), 2.0 (inches part) |
IsSymmetric |
False |
NumberOfCopies |
1 |
Created in NX5.0.0.
void NXOpen::SketchOffsetBuilder::BreakChain | ( | NXOpen::NXObject * | object1, |
NXOpen::NXObject * | object2, | ||
const NXOpen::Point3d & | helpPt | ||
) |
This function breaks the base chain and all the associated offsets at a given location
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
object1 | An object in chain to break |
object2 | Adjacent object to the previous one |
helpPt | Help point for multiple intersections |
NXOpen::SketchOffset::CapType NXOpen::SketchOffsetBuilder::CapType | ( | ) |
Returns the type of the cap needed at the corners
Created in NX5.0.0.
License requirements : None
bool NXOpen::SketchOffsetBuilder::ConvertToReference | ( | ) |
Returns the flag to indicate if the input curves needs to converted to reference
Created in NX5.0.0.
License requirements : None
bool NXOpen::SketchOffsetBuilder::CreateDimension | ( | ) |
Returns the flag to create offset with a dimension or a dimensionless offset
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::SketchOffsetBuilder::CreateSection | ( | ) |
The function creates a new empty section object and adds it to the builder.
int NXOpen::SketchOffsetBuilder::Degree | ( | ) |
Returns the degree for approximating offset spline
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::SketchOffsetBuilder::Distance | ( | ) |
Returns the offset distance expression
Created in NX5.0.0.
License requirements : None
void NXOpen::SketchOffsetBuilder::EvaluateOffset | ( | ) |
This function will solve the offset constraint to update it based on the new data set in the builder
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
std::vector<NXOpen::NXObject *> NXOpen::SketchOffsetBuilder::GetOutputCurvesOfOffset | ( | ) |
This function gets all output curves of an offset.
std::vector<NXOpen::Section *> NXOpen::SketchOffsetBuilder::GetSections | ( | ) |
This function gets all sections of an offset during create/edit.
bool NXOpen::SketchOffsetBuilder::IsSymmetric | ( | ) |
Returns the flag to indicate if the offset needs to be symmetric or not
Created in NX5.0.0.
License requirements : None
void NXOpen::SketchOffsetBuilder::MergeChains | ( | NXOpen::NXObject * | object1, |
NXOpen::NXObject * | object2, | ||
const NXOpen::Point3d & | helpPt | ||
) |
This function merges the two chains.
The last geom of first chain and first geom of next chain are taken as input.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
object1 | Last geom of first chain |
object2 | First geom of next chain |
helpPt | Help point for multiple intersections |
int NXOpen::SketchOffsetBuilder::NumberOfCopies | ( | ) |
Returns the number of offset copies
Created in NX5.0.0.
License requirements : None
void NXOpen::SketchOffsetBuilder::RemoveSection | ( | NXOpen::Section * | section | ) |
The function removes the given section from the builder
Created in NX5.0.0.
License requirements : None
section | Section obj to remove |
void NXOpen::SketchOffsetBuilder::ReverseOffsetDirectionOfChain | ( | NXOpen::NXObject * | objectInChain | ) |
This function reverses the offset direction of the chain containing the input geometry
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
objectInChain | An object in chain to reverse |
void NXOpen::SketchOffsetBuilder::SetCapType | ( | NXOpen::SketchOffset::CapType | capType | ) |
Sets the type of the cap needed at the corners
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
capType | captype |
void NXOpen::SketchOffsetBuilder::SetConvertToReference | ( | bool | reference | ) |
Sets the flag to indicate if the input curves needs to converted to reference
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
reference | reference |
void NXOpen::SketchOffsetBuilder::SetCreateDimension | ( | bool | createDim | ) |
Sets the flag to create offset with a dimension or a dimensionless offset
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
createDim | createdim |
void NXOpen::SketchOffsetBuilder::SetDegree | ( | int | degree | ) |
Sets the degree for approximating offset spline
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
degree | degree |
void NXOpen::SketchOffsetBuilder::SetEndConstraint | ( | NXOpen::NXObject * | objectInChain, |
int | inx, | ||
bool | isStartEnd, | ||
bool | constraint | ||
) |
This function removes end constraint from the given offset
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
objectInChain | An object in the base chain |
inx | Index of the constraint - starts from 0 |
isStartEnd | TRUE, if we want to remove the start end con |
constraint | TRUE to add the con, false to remove |
void NXOpen::SketchOffsetBuilder::SetNumberOfCopies | ( | int | copies | ) |
Sets the number of offset copies
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
copies | copies |
void NXOpen::SketchOffsetBuilder::SetSymmetric | ( | bool | symmetric | ) |
Sets the flag to indicate if the offset needs to be symmetric or not
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
symmetric | symmetric |
void NXOpen::SketchOffsetBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the tolerance for approximating offset spline
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
tolerance | tolerance |
double NXOpen::SketchOffsetBuilder::Tolerance | ( | ) |
Returns the tolerance for approximating offset spline
Created in NX5.0.0.
License requirements : None
void NXOpen::SketchOffsetBuilder::UpdateLoopsAndCopies | ( | ) |
This function will update the offset after curves are selected.
If the input section is updated to add/remove curves, this function must be called to update the offset constraint. This function will keep the offset constraint synchronised with the edits done to input section.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")